pi-harness-runtime 0.10.14 → 0.10.16

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (584) hide show
  1. package/harness/notification-events.js +1 -1
  2. package/harness/notification-events.ts +2 -2
  3. package/harness/task-graph.js +1 -0
  4. package/package.json +8 -11
  5. package/packages/auth/src/minimax-browser-auth.js +889 -0
  6. package/packages/auth/src/run-minimax-auth.ts +0 -0
  7. package/packages/capability-registry/src/types.js +10 -0
  8. package/packages/checkpoint/src/checkpoint-manager.js +29 -0
  9. package/packages/clipboard/src/copy-sync.js +169 -0
  10. package/packages/clipboard/src/gist-relay.js +185 -0
  11. package/packages/clipboard/src/github-login.js +68 -0
  12. package/packages/config-capture/src/index.js +268 -0
  13. package/packages/cookie-sanitizer/src/atomic-write.js +66 -0
  14. package/packages/cookie-sanitizer/src/detect-format.js +87 -0
  15. package/packages/cookie-sanitizer/src/index.js +38 -0
  16. package/packages/cookie-sanitizer/src/infer-provider.js +95 -0
  17. package/packages/cookie-sanitizer/src/normalize.js +74 -0
  18. package/packages/cookie-sanitizer/src/parse-json.js +107 -0
  19. package/packages/cookie-sanitizer/src/parse-netscape.js +98 -0
  20. package/packages/cookie-sanitizer/src/sync.js +268 -0
  21. package/packages/cookie-sanitizer/src/types.js +12 -0
  22. package/packages/cookie-sanitizer/src/watcher.js +147 -0
  23. package/packages/evaluation-engine/src/engine.js +343 -0
  24. package/packages/evaluation-engine/src/index.js +7 -0
  25. package/packages/evaluation-engine/src/types.js +14 -0
  26. package/packages/event-store/src/types.js +5 -0
  27. package/packages/experience-replay/src/index.js +6 -0
  28. package/packages/experience-replay/src/replay.js +228 -0
  29. package/packages/experience-replay/src/types.js +6 -0
  30. package/packages/learning-engine/src/engine.js +294 -0
  31. package/packages/learning-engine/src/index.js +7 -0
  32. package/packages/learning-engine/src/types.js +63 -0
  33. package/packages/memory-engine/src/engine.js +507 -0
  34. package/packages/memory-engine/src/index.js +7 -0
  35. package/packages/memory-engine/src/types.js +39 -0
  36. package/packages/model-registry/src/types.js +5 -0
  37. package/packages/performance-optimizer/src/index.js +6 -0
  38. package/packages/performance-optimizer/src/optimizer.js +304 -0
  39. package/packages/performance-optimizer/src/types.js +6 -0
  40. package/packages/projection-engine/src/types.js +5 -0
  41. package/packages/providers/src/provider-id.js +112 -0
  42. package/packages/quota-manager/src/quota-manager.js +259 -0
  43. package/packages/quota-manager/src/tui-usage-monitor.js +267 -0
  44. package/packages/todo-bd-sync/src/detector.js +131 -0
  45. package/packages/todo-bd-sync/src/extension.js +104 -0
  46. package/packages/todo-bd-sync/src/sync.js +289 -0
  47. package/packages/todo-bd-sync/src/task-analyzer.js +239 -0
  48. package/packages/todo-bd-sync/src/types.js +66 -0
  49. package/packages/token-estimation/src/index.js +114 -0
  50. package/packages/types/src/agent-worker-types.js +41 -0
  51. package/packages/types/src/ai-providers.js +66 -0
  52. package/packages/types/src/runtime-types.js +3 -0
  53. package/packages/workflow-events/src/types.js +5 -0
  54. package/packages/write-review/src/blackboard.js +228 -0
  55. package/packages/write-review/src/gate.js +137 -0
  56. package/packages/write-review/src/index.js +17 -0
  57. package/packages/write-review/src/injection.js +141 -0
  58. package/packages/write-review/src/review.js +153 -0
  59. package/packages/write-review/src/trigger.js +106 -0
  60. package/packages/write-review/src/types.js +25 -0
  61. package/IMPLEMENTATION/RFC-0010/ACCEPTANCE_CRITERIA.md +0 -7
  62. package/IMPLEMENTATION/RFC-0010/AI_BRIEF.md +0 -20
  63. package/IMPLEMENTATION/RFC-0010/FILES.md +0 -11
  64. package/IMPLEMENTATION/RFC-0010/TASKS.md +0 -10
  65. package/IMPLEMENTATION/RFC-0010/TESTS.md +0 -6
  66. package/IMPLEMENTATION/RFC-0011/ACCEPTANCE_CRITERIA.md +0 -7
  67. package/IMPLEMENTATION/RFC-0011/AI_BRIEF.md +0 -19
  68. package/IMPLEMENTATION/RFC-0011/FILES.md +0 -11
  69. package/IMPLEMENTATION/RFC-0011/TASKS.md +0 -10
  70. package/IMPLEMENTATION/RFC-0011/TESTS.md +0 -6
  71. package/IMPLEMENTATION/RFC-0012/ACCEPTANCE_CRITERIA.md +0 -7
  72. package/IMPLEMENTATION/RFC-0012/AI_BRIEF.md +0 -18
  73. package/IMPLEMENTATION/RFC-0012/FILES.md +0 -11
  74. package/IMPLEMENTATION/RFC-0012/TASKS.md +0 -10
  75. package/IMPLEMENTATION/RFC-0012/TESTS.md +0 -6
  76. package/IMPLEMENTATION/RFC-0013/ACCEPTANCE_CRITERIA.md +0 -7
  77. package/IMPLEMENTATION/RFC-0013/AI_BRIEF.md +0 -19
  78. package/IMPLEMENTATION/RFC-0013/FILES.md +0 -11
  79. package/IMPLEMENTATION/RFC-0013/TASKS.md +0 -10
  80. package/IMPLEMENTATION/RFC-0013/TESTS.md +0 -6
  81. package/IMPLEMENTATION/RFC-0014/ACCEPTANCE_CRITERIA.md +0 -7
  82. package/IMPLEMENTATION/RFC-0014/AI_BRIEF.md +0 -20
  83. package/IMPLEMENTATION/RFC-0014/FILES.md +0 -11
  84. package/IMPLEMENTATION/RFC-0014/TASKS.md +0 -10
  85. package/IMPLEMENTATION/RFC-0014/TESTS.md +0 -6
  86. package/IMPLEMENTATION/RFC-0015/ACCEPTANCE_CRITERIA.md +0 -2
  87. package/IMPLEMENTATION/RFC-0015/AI_BRIEF.md +0 -2
  88. package/IMPLEMENTATION/RFC-0015/FILES.md +0 -2
  89. package/IMPLEMENTATION/RFC-0015/TASKS.md +0 -4
  90. package/IMPLEMENTATION/RFC-0015/TESTS.md +0 -3
  91. package/IMPLEMENTATION/RFC-0016/ACCEPTANCE_CRITERIA.md +0 -2
  92. package/IMPLEMENTATION/RFC-0016/AI_BRIEF.md +0 -2
  93. package/IMPLEMENTATION/RFC-0016/FILES.md +0 -2
  94. package/IMPLEMENTATION/RFC-0016/TASKS.md +0 -4
  95. package/IMPLEMENTATION/RFC-0016/TESTS.md +0 -3
  96. package/IMPLEMENTATION/RFC-0017/ACCEPTANCE_CRITERIA.md +0 -2
  97. package/IMPLEMENTATION/RFC-0017/AI_BRIEF.md +0 -2
  98. package/IMPLEMENTATION/RFC-0017/FILES.md +0 -2
  99. package/IMPLEMENTATION/RFC-0017/TASKS.md +0 -4
  100. package/IMPLEMENTATION/RFC-0017/TESTS.md +0 -3
  101. package/IMPLEMENTATION/RFC-0018/ACCEPTANCE_CRITERIA.md +0 -2
  102. package/IMPLEMENTATION/RFC-0018/AI_BRIEF.md +0 -2
  103. package/IMPLEMENTATION/RFC-0018/FILES.md +0 -2
  104. package/IMPLEMENTATION/RFC-0018/TASKS.md +0 -4
  105. package/IMPLEMENTATION/RFC-0018/TESTS.md +0 -3
  106. package/IMPLEMENTATION/RFC-0019/ACCEPTANCE_CRITERIA.md +0 -7
  107. package/IMPLEMENTATION/RFC-0019/AI_BRIEF.md +0 -18
  108. package/IMPLEMENTATION/RFC-0019/TASKS.md +0 -10
  109. package/IMPLEMENTATION/RFC-0020/ACCEPTANCE_CRITERIA.md +0 -7
  110. package/IMPLEMENTATION/RFC-0020/AI_BRIEF.md +0 -18
  111. package/IMPLEMENTATION/RFC-0020/TASKS.md +0 -10
  112. package/IMPLEMENTATION/RFC-0021/ACCEPTANCE_CRITERIA.md +0 -7
  113. package/IMPLEMENTATION/RFC-0021/AI_BRIEF.md +0 -18
  114. package/IMPLEMENTATION/RFC-0021/TASKS.md +0 -10
  115. package/IMPLEMENTATION/RFC-0022/ACCEPTANCE_CRITERIA.md +0 -7
  116. package/IMPLEMENTATION/RFC-0022/AI_BRIEF.md +0 -18
  117. package/IMPLEMENTATION/RFC-0022/TASKS.md +0 -10
  118. package/IMPLEMENTATION/RFC-0023/ACCEPTANCE_CRITERIA.md +0 -7
  119. package/IMPLEMENTATION/RFC-0023/AI_BRIEF.md +0 -18
  120. package/IMPLEMENTATION/RFC-0023/TASKS.md +0 -10
  121. package/IMPLEMENTATION/RFC-0024/AI_BRIEF.md +0 -1
  122. package/IMPLEMENTATION/RFC-0024/TASKS.md +0 -3
  123. package/IMPLEMENTATION/RFC-0025/AI_BRIEF.md +0 -1
  124. package/IMPLEMENTATION/RFC-0025/TASKS.md +0 -3
  125. package/IMPLEMENTATION/RFC-0026/AI_BRIEF.md +0 -1
  126. package/IMPLEMENTATION/RFC-0026/TASKS.md +0 -3
  127. package/IMPLEMENTATION/RFC-0027/AI_BRIEF.md +0 -1
  128. package/IMPLEMENTATION/RFC-0027/TASKS.md +0 -3
  129. package/IMPLEMENTATION/RFC-0028/AI_BRIEF.md +0 -1
  130. package/IMPLEMENTATION/RFC-0028/TASKS.md +0 -3
  131. package/IMPLEMENTATION/RFC-0029/AI_BRIEF.md +0 -1
  132. package/IMPLEMENTATION/RFC-0029/TASKS.md +0 -4
  133. package/IMPLEMENTATION/RFC-0030/AI_BRIEF.md +0 -1
  134. package/IMPLEMENTATION/RFC-0030/TASKS.md +0 -3
  135. package/IMPLEMENTATION/RFC-0031/AI_BRIEF.md +0 -45
  136. package/IMPLEMENTATION/RFC-0031/TASKS.md +0 -48
  137. package/IMPLEMENTATION/RFC-0032/AI_BRIEF.md +0 -45
  138. package/IMPLEMENTATION/RFC-0032/TASKS.md +0 -44
  139. package/IMPLEMENTATION/RFC-0033/AI_BRIEF.md +0 -46
  140. package/IMPLEMENTATION/RFC-0033/TASKS.md +0 -49
  141. package/IMPLEMENTATION/RFC-0034/AI_BRIEF.md +0 -54
  142. package/IMPLEMENTATION/RFC-0034/TASKS.md +0 -57
  143. package/IMPLEMENTATION/RFC-0035/AI_BRIEF.md +0 -55
  144. package/IMPLEMENTATION/RFC-0035/TASKS.md +0 -75
  145. package/IMPLEMENTATION/RFC-0036/AI_BRIEF.md +0 -62
  146. package/IMPLEMENTATION/RFC-0036/TASKS.md +0 -60
  147. package/IMPLEMENTATION/RFC-0037/AI_BRIEF.md +0 -59
  148. package/IMPLEMENTATION/RFC-0037/TASKS.md +0 -63
  149. package/IMPLEMENTATION/RFC-0038/AI_BRIEF.md +0 -67
  150. package/IMPLEMENTATION/RFC-0038/TASKS.md +0 -65
  151. package/IMPLEMENTATION/RFC-0039/AI_BRIEF.md +0 -68
  152. package/IMPLEMENTATION/RFC-0039/TASKS.md +0 -74
  153. package/IMPLEMENTATION/RFC-0040/AI_BRIEF.md +0 -79
  154. package/IMPLEMENTATION/RFC-0040/TASKS.md +0 -77
  155. package/IMPLEMENTATION/RFC-0041/ACCEPTANCE_CRITERIA.md +0 -8
  156. package/IMPLEMENTATION/RFC-0041/AI_BRIEF.md +0 -26
  157. package/IMPLEMENTATION/RFC-0041/FILES.md +0 -12
  158. package/IMPLEMENTATION/RFC-0041/TASKS.md +0 -12
  159. package/IMPLEMENTATION/RFC-0041/TESTS.md +0 -12
  160. package/IMPLEMENTATION/RFC-0042/ACCEPTANCE_CRITERIA.md +0 -7
  161. package/IMPLEMENTATION/RFC-0042/AI_BRIEF.md +0 -5
  162. package/IMPLEMENTATION/RFC-0042/FILES.md +0 -14
  163. package/IMPLEMENTATION/RFC-0042/TASKS.md +0 -12
  164. package/IMPLEMENTATION/RFC-0042/TESTS.md +0 -11
  165. package/IMPLEMENTATION/RFC-0043/ACCEPTANCE_CRITERIA.md +0 -7
  166. package/IMPLEMENTATION/RFC-0043/AI_BRIEF.md +0 -5
  167. package/IMPLEMENTATION/RFC-0043/FILES.md +0 -14
  168. package/IMPLEMENTATION/RFC-0043/TASKS.md +0 -12
  169. package/IMPLEMENTATION/RFC-0043/TESTS.md +0 -10
  170. package/IMPLEMENTATION/RFC-0044/ACCEPTANCE_CRITERIA.md +0 -7
  171. package/IMPLEMENTATION/RFC-0044/AI_BRIEF.md +0 -5
  172. package/IMPLEMENTATION/RFC-0044/FILES.md +0 -13
  173. package/IMPLEMENTATION/RFC-0044/TASKS.md +0 -12
  174. package/IMPLEMENTATION/RFC-0044/TESTS.md +0 -10
  175. package/IMPLEMENTATION/RFC-0045/ACCEPTANCE_CRITERIA.md +0 -30
  176. package/IMPLEMENTATION/RFC-0045/AI_BRIEF.md +0 -53
  177. package/IMPLEMENTATION/RFC-0045/FILES.md +0 -13
  178. package/IMPLEMENTATION/RFC-0045/TASKS.md +0 -31
  179. package/IMPLEMENTATION/RFC-0045/TESTS.md +0 -62
  180. package/IMPLEMENTATION/RFC-0046/ACCEPTANCE_CRITERIA.md +0 -1
  181. package/IMPLEMENTATION/RFC-0046/AI_BRIEF.md +0 -1
  182. package/IMPLEMENTATION/RFC-0046/FILES.md +0 -2
  183. package/IMPLEMENTATION/RFC-0046/TASKS.md +0 -3
  184. package/IMPLEMENTATION/RFC-0046/TESTS.md +0 -1
  185. package/IMPLEMENTATION/RFC-0047/ACCEPTANCE_CRITERIA.md +0 -1
  186. package/IMPLEMENTATION/RFC-0047/AI_BRIEF.md +0 -1
  187. package/IMPLEMENTATION/RFC-0047/FILES.md +0 -2
  188. package/IMPLEMENTATION/RFC-0047/TASKS.md +0 -3
  189. package/IMPLEMENTATION/RFC-0047/TESTS.md +0 -1
  190. package/IMPLEMENTATION/RFC-0048/ACCEPTANCE_CRITERIA.md +0 -1
  191. package/IMPLEMENTATION/RFC-0048/AI_BRIEF.md +0 -1
  192. package/IMPLEMENTATION/RFC-0048/FILES.md +0 -2
  193. package/IMPLEMENTATION/RFC-0048/TASKS.md +0 -3
  194. package/IMPLEMENTATION/RFC-0048/TESTS.md +0 -1
  195. package/IMPLEMENTATION/RFC-0049/ACCEPTANCE_CRITERIA.md +0 -1
  196. package/IMPLEMENTATION/RFC-0049/AI_BRIEF.md +0 -1
  197. package/IMPLEMENTATION/RFC-0049/FILES.md +0 -2
  198. package/IMPLEMENTATION/RFC-0049/TASKS.md +0 -3
  199. package/IMPLEMENTATION/RFC-0049/TESTS.md +0 -1
  200. package/IMPLEMENTATION/RFC-0050/ACCEPTANCE_CRITERIA.md +0 -1
  201. package/IMPLEMENTATION/RFC-0050/AI_BRIEF.md +0 -1
  202. package/IMPLEMENTATION/RFC-0050/FILES.md +0 -2
  203. package/IMPLEMENTATION/RFC-0050/TASKS.md +0 -3
  204. package/IMPLEMENTATION/RFC-0050/TESTS.md +0 -1
  205. package/IMPLEMENTATION/RFC-0051/ACCEPTANCE_CRITERIA.md +0 -6
  206. package/IMPLEMENTATION/RFC-0051/AI_BRIEF.md +0 -20
  207. package/IMPLEMENTATION/RFC-0051/FILES.md +0 -8
  208. package/IMPLEMENTATION/RFC-0051/TASKS.md +0 -3
  209. package/IMPLEMENTATION/RFC-0051/TESTS.md +0 -4
  210. package/IMPLEMENTATION/RFC-0052/ACCEPTANCE_CRITERIA.md +0 -7
  211. package/IMPLEMENTATION/RFC-0052/AI_BRIEF.md +0 -19
  212. package/IMPLEMENTATION/RFC-0052/FILES.md +0 -8
  213. package/IMPLEMENTATION/RFC-0052/TASKS.md +0 -3
  214. package/IMPLEMENTATION/RFC-0052/TESTS.md +0 -1
  215. package/IMPLEMENTATION/RFC-0053/ACCEPTANCE_CRITERIA.md +0 -8
  216. package/IMPLEMENTATION/RFC-0053/AI_BRIEF.md +0 -20
  217. package/IMPLEMENTATION/RFC-0053/FILES.md +0 -9
  218. package/IMPLEMENTATION/RFC-0053/TASKS.md +0 -3
  219. package/IMPLEMENTATION/RFC-0053/TESTS.md +0 -1
  220. package/IMPLEMENTATION/RFC-0054/ACCEPTANCE_CRITERIA.md +0 -8
  221. package/IMPLEMENTATION/RFC-0054/AI_BRIEF.md +0 -19
  222. package/IMPLEMENTATION/RFC-0054/FILES.md +0 -8
  223. package/IMPLEMENTATION/RFC-0054/TASKS.md +0 -3
  224. package/IMPLEMENTATION/RFC-0054/TESTS.md +0 -1
  225. package/IMPLEMENTATION/RFC-0055/ACCEPTANCE_CRITERIA.md +0 -8
  226. package/IMPLEMENTATION/RFC-0055/AI_BRIEF.md +0 -17
  227. package/IMPLEMENTATION/RFC-0055/FILES.md +0 -9
  228. package/IMPLEMENTATION/RFC-0055/TASKS.md +0 -3
  229. package/IMPLEMENTATION/RFC-0055/TESTS.md +0 -1
  230. package/IMPLEMENTATION/RFC-0056/ACCEPTANCE_CRITERIA.md +0 -6
  231. package/IMPLEMENTATION/RFC-0056/AI_BRIEF.md +0 -18
  232. package/IMPLEMENTATION/RFC-0056/FILES.md +0 -9
  233. package/IMPLEMENTATION/RFC-0056/TASKS.md +0 -9
  234. package/IMPLEMENTATION/RFC-0056/TESTS.md +0 -7
  235. package/IMPLEMENTATION/RFC-0057/ACCEPTANCE_CRITERIA.md +0 -5
  236. package/IMPLEMENTATION/RFC-0057/AI_BRIEF.md +0 -5
  237. package/IMPLEMENTATION/RFC-0057/FILES.md +0 -11
  238. package/IMPLEMENTATION/RFC-0057/TASKS.md +0 -9
  239. package/IMPLEMENTATION/RFC-0057/TESTS.md +0 -7
  240. package/IMPLEMENTATION/RFC-0058/ACCEPTANCE_CRITERIA.md +0 -6
  241. package/IMPLEMENTATION/RFC-0058/AI_BRIEF.md +0 -5
  242. package/IMPLEMENTATION/RFC-0058/FILES.md +0 -11
  243. package/IMPLEMENTATION/RFC-0058/TASKS.md +0 -9
  244. package/IMPLEMENTATION/RFC-0058/TESTS.md +0 -7
  245. package/IMPLEMENTATION/RFC-0059/ACCEPTANCE_CRITERIA.md +0 -6
  246. package/IMPLEMENTATION/RFC-0059/AI_BRIEF.md +0 -5
  247. package/IMPLEMENTATION/RFC-0059/FILES.md +0 -11
  248. package/IMPLEMENTATION/RFC-0059/TASKS.md +0 -9
  249. package/IMPLEMENTATION/RFC-0059/TESTS.md +0 -7
  250. package/IMPLEMENTATION/RFC-0060/ACCEPTANCE_CRITERIA.md +0 -7
  251. package/IMPLEMENTATION/RFC-0060/AI_BRIEF.md +0 -5
  252. package/IMPLEMENTATION/RFC-0060/FILES.md +0 -14
  253. package/IMPLEMENTATION/RFC-0060/TASKS.md +0 -12
  254. package/IMPLEMENTATION/RFC-0060/TESTS.md +0 -10
  255. package/IMPLEMENTATION/RFC-0061/ACCEPTANCE_CRITERIA.md +0 -1
  256. package/IMPLEMENTATION/RFC-0061/AI_BRIEF.md +0 -1
  257. package/IMPLEMENTATION/RFC-0061/FILES.md +0 -2
  258. package/IMPLEMENTATION/RFC-0061/TASKS.md +0 -4
  259. package/IMPLEMENTATION/RFC-0061/TESTS.md +0 -2
  260. package/IMPLEMENTATION/RFC-0062/ACCEPTANCE_CRITERIA.md +0 -1
  261. package/IMPLEMENTATION/RFC-0062/AI_BRIEF.md +0 -1
  262. package/IMPLEMENTATION/RFC-0062/FILES.md +0 -2
  263. package/IMPLEMENTATION/RFC-0062/TASKS.md +0 -4
  264. package/IMPLEMENTATION/RFC-0062/TESTS.md +0 -2
  265. package/IMPLEMENTATION/RFC-0063/ACCEPTANCE_CRITERIA.md +0 -1
  266. package/IMPLEMENTATION/RFC-0063/AI_BRIEF.md +0 -1
  267. package/IMPLEMENTATION/RFC-0063/FILES.md +0 -2
  268. package/IMPLEMENTATION/RFC-0063/TASKS.md +0 -4
  269. package/IMPLEMENTATION/RFC-0063/TESTS.md +0 -2
  270. package/IMPLEMENTATION/RFC-0064/ACCEPTANCE_CRITERIA.md +0 -1
  271. package/IMPLEMENTATION/RFC-0064/AI_BRIEF.md +0 -1
  272. package/IMPLEMENTATION/RFC-0064/FILES.md +0 -2
  273. package/IMPLEMENTATION/RFC-0064/TASKS.md +0 -4
  274. package/IMPLEMENTATION/RFC-0064/TESTS.md +0 -2
  275. package/IMPLEMENTATION/RFC-0065/ACCEPTANCE_CRITERIA.md +0 -1
  276. package/IMPLEMENTATION/RFC-0065/AI_BRIEF.md +0 -1
  277. package/IMPLEMENTATION/RFC-0065/FILES.md +0 -2
  278. package/IMPLEMENTATION/RFC-0065/TASKS.md +0 -4
  279. package/IMPLEMENTATION/RFC-0065/TESTS.md +0 -2
  280. package/IMPLEMENTATION/RFC-0066/ACCEPTANCE_CRITERIA.md +0 -2
  281. package/IMPLEMENTATION/RFC-0066/AI_BRIEF.md +0 -2
  282. package/IMPLEMENTATION/RFC-0066/FILES.md +0 -2
  283. package/IMPLEMENTATION/RFC-0066/TASKS.md +0 -4
  284. package/IMPLEMENTATION/RFC-0066/TESTS.md +0 -3
  285. package/IMPLEMENTATION/RFC-0067/ACCEPTANCE_CRITERIA.md +0 -2
  286. package/IMPLEMENTATION/RFC-0067/AI_BRIEF.md +0 -2
  287. package/IMPLEMENTATION/RFC-0067/FILES.md +0 -2
  288. package/IMPLEMENTATION/RFC-0067/TASKS.md +0 -4
  289. package/IMPLEMENTATION/RFC-0067/TESTS.md +0 -3
  290. package/IMPLEMENTATION/RFC-0068/ACCEPTANCE_CRITERIA.md +0 -2
  291. package/IMPLEMENTATION/RFC-0068/AI_BRIEF.md +0 -2
  292. package/IMPLEMENTATION/RFC-0068/FILES.md +0 -2
  293. package/IMPLEMENTATION/RFC-0068/TASKS.md +0 -4
  294. package/IMPLEMENTATION/RFC-0068/TESTS.md +0 -3
  295. package/IMPLEMENTATION/RFC-0069/ACCEPTANCE_CRITERIA.md +0 -2
  296. package/IMPLEMENTATION/RFC-0069/AI_BRIEF.md +0 -2
  297. package/IMPLEMENTATION/RFC-0069/FILES.md +0 -2
  298. package/IMPLEMENTATION/RFC-0069/TASKS.md +0 -4
  299. package/IMPLEMENTATION/RFC-0069/TESTS.md +0 -3
  300. package/IMPLEMENTATION/RFC-0070/ACCEPTANCE_CRITERIA.md +0 -2
  301. package/IMPLEMENTATION/RFC-0070/AI_BRIEF.md +0 -2
  302. package/IMPLEMENTATION/RFC-0070/FILES.md +0 -2
  303. package/IMPLEMENTATION/RFC-0070/TASKS.md +0 -4
  304. package/IMPLEMENTATION/RFC-0070/TESTS.md +0 -3
  305. package/IMPLEMENTATION/RFC-0071/ACCEPTANCE_CRITERIA.md +0 -2
  306. package/IMPLEMENTATION/RFC-0071/AI_BRIEF.md +0 -2
  307. package/IMPLEMENTATION/RFC-0071/FILES.md +0 -2
  308. package/IMPLEMENTATION/RFC-0071/TASKS.md +0 -4
  309. package/IMPLEMENTATION/RFC-0071/TESTS.md +0 -3
  310. package/IMPLEMENTATION/RFC-0072/ACCEPTANCE_CRITERIA.md +0 -2
  311. package/IMPLEMENTATION/RFC-0072/AI_BRIEF.md +0 -2
  312. package/IMPLEMENTATION/RFC-0072/FILES.md +0 -2
  313. package/IMPLEMENTATION/RFC-0072/TASKS.md +0 -4
  314. package/IMPLEMENTATION/RFC-0072/TESTS.md +0 -3
  315. package/IMPLEMENTATION/RFC-0073/ACCEPTANCE_CRITERIA.md +0 -2
  316. package/IMPLEMENTATION/RFC-0073/AI_BRIEF.md +0 -2
  317. package/IMPLEMENTATION/RFC-0073/FILES.md +0 -2
  318. package/IMPLEMENTATION/RFC-0073/TASKS.md +0 -4
  319. package/IMPLEMENTATION/RFC-0073/TESTS.md +0 -3
  320. package/IMPLEMENTATION/RFC-0074/ACCEPTANCE_CRITERIA.md +0 -2
  321. package/IMPLEMENTATION/RFC-0074/AI_BRIEF.md +0 -17
  322. package/IMPLEMENTATION/RFC-0074/FILES.md +0 -2
  323. package/IMPLEMENTATION/RFC-0074/TASKS.md +0 -4
  324. package/IMPLEMENTATION/RFC-0074/TESTS.md +0 -3
  325. package/IMPLEMENTATION/RFC-0075/ACCEPTANCE_CRITERIA.md +0 -2
  326. package/IMPLEMENTATION/RFC-0075/AI_BRIEF.md +0 -2
  327. package/IMPLEMENTATION/RFC-0075/FILES.md +0 -2
  328. package/IMPLEMENTATION/RFC-0075/TASKS.md +0 -4
  329. package/IMPLEMENTATION/RFC-0075/TESTS.md +0 -3
  330. package/IMPLEMENTATION/RFC-0076/ACCEPTANCE_CRITERIA.md +0 -2
  331. package/IMPLEMENTATION/RFC-0076/AI_BRIEF.md +0 -2
  332. package/IMPLEMENTATION/RFC-0076/FILES.md +0 -2
  333. package/IMPLEMENTATION/RFC-0076/TASKS.md +0 -4
  334. package/IMPLEMENTATION/RFC-0076/TESTS.md +0 -3
  335. package/IMPLEMENTATION/RFC-0077/ACCEPTANCE_CRITERIA.md +0 -2
  336. package/IMPLEMENTATION/RFC-0077/AI_BRIEF.md +0 -2
  337. package/IMPLEMENTATION/RFC-0077/FILES.md +0 -2
  338. package/IMPLEMENTATION/RFC-0077/TASKS.md +0 -4
  339. package/IMPLEMENTATION/RFC-0077/TESTS.md +0 -3
  340. package/IMPLEMENTATION/RFC-0078/ACCEPTANCE_CRITERIA.md +0 -2
  341. package/IMPLEMENTATION/RFC-0078/AI_BRIEF.md +0 -17
  342. package/IMPLEMENTATION/RFC-0078/FILES.md +0 -2
  343. package/IMPLEMENTATION/RFC-0078/TASKS.md +0 -4
  344. package/IMPLEMENTATION/RFC-0078/TESTS.md +0 -3
  345. package/IMPLEMENTATION/RFC-0079/ACCEPTANCE_CRITERIA.md +0 -2
  346. package/IMPLEMENTATION/RFC-0079/AI_BRIEF.md +0 -7
  347. package/IMPLEMENTATION/RFC-0079/FILES.md +0 -2
  348. package/IMPLEMENTATION/RFC-0079/TASKS.md +0 -4
  349. package/IMPLEMENTATION/RFC-0079/TESTS.md +0 -3
  350. package/IMPLEMENTATION/RFC-0080/ACCEPTANCE_CRITERIA.md +0 -2
  351. package/IMPLEMENTATION/RFC-0080/AI_BRIEF.md +0 -2
  352. package/IMPLEMENTATION/RFC-0080/FILES.md +0 -2
  353. package/IMPLEMENTATION/RFC-0080/TASKS.md +0 -4
  354. package/IMPLEMENTATION/RFC-0080/TESTS.md +0 -3
  355. package/IMPLEMENTATION/RFC-0081/ACCEPTANCE_CRITERIA.md +0 -2
  356. package/IMPLEMENTATION/RFC-0081/AI_BRIEF.md +0 -2
  357. package/IMPLEMENTATION/RFC-0081/FILES.md +0 -2
  358. package/IMPLEMENTATION/RFC-0081/TASKS.md +0 -4
  359. package/IMPLEMENTATION/RFC-0081/TESTS.md +0 -3
  360. package/IMPLEMENTATION/RFC-0082/ACCEPTANCE_CRITERIA.md +0 -2
  361. package/IMPLEMENTATION/RFC-0082/AI_BRIEF.md +0 -2
  362. package/IMPLEMENTATION/RFC-0082/FILES.md +0 -2
  363. package/IMPLEMENTATION/RFC-0082/TASKS.md +0 -4
  364. package/IMPLEMENTATION/RFC-0082/TESTS.md +0 -3
  365. package/IMPLEMENTATION/RFC-0083/ACCEPTANCE_CRITERIA.md +0 -2
  366. package/IMPLEMENTATION/RFC-0083/AI_BRIEF.md +0 -2
  367. package/IMPLEMENTATION/RFC-0083/FILES.md +0 -2
  368. package/IMPLEMENTATION/RFC-0083/TASKS.md +0 -4
  369. package/IMPLEMENTATION/RFC-0083/TESTS.md +0 -3
  370. package/IMPLEMENTATION/RFC-0084/ACCEPTANCE_CRITERIA.md +0 -2
  371. package/IMPLEMENTATION/RFC-0084/AI_BRIEF.md +0 -2
  372. package/IMPLEMENTATION/RFC-0084/FILES.md +0 -2
  373. package/IMPLEMENTATION/RFC-0084/TASKS.md +0 -4
  374. package/IMPLEMENTATION/RFC-0084/TESTS.md +0 -3
  375. package/IMPLEMENTATION/RFC-0085/ACCEPTANCE_CRITERIA.md +0 -2
  376. package/IMPLEMENTATION/RFC-0085/AI_BRIEF.md +0 -2
  377. package/IMPLEMENTATION/RFC-0085/FILES.md +0 -2
  378. package/IMPLEMENTATION/RFC-0085/TASKS.md +0 -4
  379. package/IMPLEMENTATION/RFC-0085/TESTS.md +0 -3
  380. package/IMPLEMENTATION/RFC-0086/ACCEPTANCE_CRITERIA.md +0 -2
  381. package/IMPLEMENTATION/RFC-0086/AI_BRIEF.md +0 -2
  382. package/IMPLEMENTATION/RFC-0086/FILES.md +0 -2
  383. package/IMPLEMENTATION/RFC-0086/TASKS.md +0 -4
  384. package/IMPLEMENTATION/RFC-0086/TESTS.md +0 -3
  385. package/IMPLEMENTATION/RFC-0087/ACCEPTANCE_CRITERIA.md +0 -2
  386. package/IMPLEMENTATION/RFC-0087/AI_BRIEF.md +0 -2
  387. package/IMPLEMENTATION/RFC-0087/FILES.md +0 -2
  388. package/IMPLEMENTATION/RFC-0087/TASKS.md +0 -4
  389. package/IMPLEMENTATION/RFC-0087/TESTS.md +0 -3
  390. package/IMPLEMENTATION/RFC-0088/ACCEPTANCE_CRITERIA.md +0 -2
  391. package/IMPLEMENTATION/RFC-0088/AI_BRIEF.md +0 -2
  392. package/IMPLEMENTATION/RFC-0088/FILES.md +0 -2
  393. package/IMPLEMENTATION/RFC-0088/TASKS.md +0 -4
  394. package/IMPLEMENTATION/RFC-0088/TESTS.md +0 -3
  395. package/IMPLEMENTATION/RFC-0089/ACCEPTANCE_CRITERIA.md +0 -2
  396. package/IMPLEMENTATION/RFC-0089/AI_BRIEF.md +0 -2
  397. package/IMPLEMENTATION/RFC-0089/FILES.md +0 -2
  398. package/IMPLEMENTATION/RFC-0089/TASKS.md +0 -4
  399. package/IMPLEMENTATION/RFC-0089/TESTS.md +0 -3
  400. package/IMPLEMENTATION/RFC-0090/ACCEPTANCE_CRITERIA.md +0 -2
  401. package/IMPLEMENTATION/RFC-0090/AI_BRIEF.md +0 -2
  402. package/IMPLEMENTATION/RFC-0090/FILES.md +0 -2
  403. package/IMPLEMENTATION/RFC-0090/TASKS.md +0 -4
  404. package/IMPLEMENTATION/RFC-0090/TESTS.md +0 -3
  405. package/IMPLEMENTATION/RFC-0091/ACCEPTANCE_CRITERIA.md +0 -2
  406. package/IMPLEMENTATION/RFC-0091/AI_BRIEF.md +0 -2
  407. package/IMPLEMENTATION/RFC-0091/FILES.md +0 -2
  408. package/IMPLEMENTATION/RFC-0091/TASKS.md +0 -4
  409. package/IMPLEMENTATION/RFC-0091/TESTS.md +0 -3
  410. package/IMPLEMENTATION/RFC-0092/ACCEPTANCE_CRITERIA.md +0 -2
  411. package/IMPLEMENTATION/RFC-0092/AI_BRIEF.md +0 -20
  412. package/IMPLEMENTATION/RFC-0092/FILES.md +0 -2
  413. package/IMPLEMENTATION/RFC-0092/TASKS.md +0 -4
  414. package/IMPLEMENTATION/RFC-0092/TESTS.md +0 -3
  415. package/IMPLEMENTATION/RFC-0093/ACCEPTANCE_CRITERIA.md +0 -2
  416. package/IMPLEMENTATION/RFC-0093/AI_BRIEF.md +0 -22
  417. package/IMPLEMENTATION/RFC-0093/FILES.md +0 -2
  418. package/IMPLEMENTATION/RFC-0093/TASKS.md +0 -4
  419. package/IMPLEMENTATION/RFC-0093/TESTS.md +0 -3
  420. package/IMPLEMENTATION/RFC-0094/ACCEPTANCE_CRITERIA.md +0 -2
  421. package/IMPLEMENTATION/RFC-0094/AI_BRIEF.md +0 -2
  422. package/IMPLEMENTATION/RFC-0094/FILES.md +0 -2
  423. package/IMPLEMENTATION/RFC-0094/TASKS.md +0 -4
  424. package/IMPLEMENTATION/RFC-0094/TESTS.md +0 -3
  425. package/IMPLEMENTATION/RFC-0095/ACCEPTANCE_CRITERIA.md +0 -2
  426. package/IMPLEMENTATION/RFC-0095/AI_BRIEF.md +0 -2
  427. package/IMPLEMENTATION/RFC-0095/FILES.md +0 -2
  428. package/IMPLEMENTATION/RFC-0095/TASKS.md +0 -4
  429. package/IMPLEMENTATION/RFC-0095/TESTS.md +0 -3
  430. package/IMPLEMENTATION/RFC-0096/ACCEPTANCE_CRITERIA.md +0 -2
  431. package/IMPLEMENTATION/RFC-0096/AI_BRIEF.md +0 -2
  432. package/IMPLEMENTATION/RFC-0096/FILES.md +0 -2
  433. package/IMPLEMENTATION/RFC-0096/TASKS.md +0 -4
  434. package/IMPLEMENTATION/RFC-0096/TESTS.md +0 -3
  435. package/IMPLEMENTATION/RFC-0097/ACCEPTANCE_CRITERIA.md +0 -2
  436. package/IMPLEMENTATION/RFC-0097/AI_BRIEF.md +0 -2
  437. package/IMPLEMENTATION/RFC-0097/FILES.md +0 -2
  438. package/IMPLEMENTATION/RFC-0097/TASKS.md +0 -4
  439. package/IMPLEMENTATION/RFC-0097/TESTS.md +0 -3
  440. package/IMPLEMENTATION/RFC-0098/ACCEPTANCE_CRITERIA.md +0 -2
  441. package/IMPLEMENTATION/RFC-0098/AI_BRIEF.md +0 -2
  442. package/IMPLEMENTATION/RFC-0098/FILES.md +0 -2
  443. package/IMPLEMENTATION/RFC-0098/TASKS.md +0 -4
  444. package/IMPLEMENTATION/RFC-0098/TESTS.md +0 -3
  445. package/IMPLEMENTATION/RFC-0099/ACCEPTANCE_CRITERIA.md +0 -2
  446. package/IMPLEMENTATION/RFC-0099/AI_BRIEF.md +0 -2
  447. package/IMPLEMENTATION/RFC-0099/FILES.md +0 -2
  448. package/IMPLEMENTATION/RFC-0099/TASKS.md +0 -4
  449. package/IMPLEMENTATION/RFC-0099/TESTS.md +0 -3
  450. package/IMPLEMENTATION/RFC-0100/ACCEPTANCE_CRITERIA.md +0 -2
  451. package/IMPLEMENTATION/RFC-0100/AI_BRIEF.md +0 -2
  452. package/IMPLEMENTATION/RFC-0100/FILES.md +0 -2
  453. package/IMPLEMENTATION/RFC-0100/TASKS.md +0 -4
  454. package/IMPLEMENTATION/RFC-0100/TESTS.md +0 -3
  455. package/IMPLEMENTATION/RFC-0101/ACCEPTANCE_CRITERIA.md +0 -74
  456. package/IMPLEMENTATION/RFC-0101/AI_BRIEF.md +0 -80
  457. package/IMPLEMENTATION/RFC-0101/FILES.md +0 -82
  458. package/IMPLEMENTATION/RFC-0101/TASKS.md +0 -92
  459. package/IMPLEMENTATION/RFC-0101/TESTS.md +0 -127
  460. package/IMPLEMENTATION/RFC-0102/ACCEPTANCE_CRITERIA.md +0 -33
  461. package/IMPLEMENTATION/RFC-0102/AI_BRIEF.md +0 -34
  462. package/IMPLEMENTATION/RFC-0102/FILES.md +0 -73
  463. package/IMPLEMENTATION/RFC-0102/TASKS.md +0 -75
  464. package/IMPLEMENTATION/RFC-0102/TESTS.md +0 -78
  465. package/IMPLEMENTATION/RFC-0103/ACCEPTANCE_CRITERIA.md +0 -45
  466. package/IMPLEMENTATION/RFC-0103/AI_BRIEF.md +0 -46
  467. package/IMPLEMENTATION/RFC-0103/FILES.md +0 -121
  468. package/IMPLEMENTATION/RFC-0103/TASKS.md +0 -97
  469. package/IMPLEMENTATION/RFC-0103/TESTS.md +0 -118
  470. package/IMPLEMENTATION/RFC-0104/ACCEPTANCE_CRITERIA.md +0 -29
  471. package/IMPLEMENTATION/RFC-0104/FILES.md +0 -33
  472. package/IMPLEMENTATION/RFC-0105/ACCEPTANCE_CRITERIA.md +0 -29
  473. package/IMPLEMENTATION/RFC-0105/FILES.md +0 -41
  474. package/IMPLEMENTATION/RFC-0106/ACCEPTANCE_CRITERIA.md +0 -29
  475. package/IMPLEMENTATION/RFC-0106/FILES.md +0 -43
  476. package/RFC/0001_LOOP_RUNTIME.md +0 -14
  477. package/RFC/0002_PROVIDER_ADAPTER.md +0 -3
  478. package/RFC/0003_QUOTA_MANAGER.md +0 -3
  479. package/RFC/0004_PLAYWRIGHT_ADAPTER.md +0 -3
  480. package/RFC/0005_GIT_WORKTREE.md +0 -3
  481. package/RFC/0006_CHECKPOINT_MANAGER.md +0 -56
  482. package/RFC/0007_SCHEDULER.md +0 -32
  483. package/RFC/0008_PROVIDER_ROUTER.md +0 -44
  484. package/RFC/0009_SHARED_CONTEXT.md +0 -32
  485. package/RFC/0010_CONTEXT_WINDOW_MANAGER.md +0 -50
  486. package/RFC/0011_SHARED_BLACKBOARD.md +0 -42
  487. package/RFC/0012_AGENT_HANDOFF_PROTOCOL.md +0 -41
  488. package/RFC/0013_E2E_TEST_ENGINE.md +0 -42
  489. package/RFC/0014_PROJECT_DETECTOR_AND_TEST_DATA_ENGINE.md +0 -35
  490. package/RFC/0015_JOB_STATE_MACHINE.md +0 -45
  491. package/RFC/0016_TASK_GRAPH.md +0 -31
  492. package/RFC/0017_MASTER_PLANNER.md +0 -32
  493. package/RFC/0018_REPAIR_ENGINE.md +0 -36
  494. package/RFC/0019_AUTO_COMPACT_AND_CONTINUE.md +0 -51
  495. package/RFC/0020_OUTPUT_TOKEN_LIMIT_HANDLER.md +0 -49
  496. package/RFC/0021_PARTIAL_RESPONSE_RECOVERY.md +0 -49
  497. package/RFC/0022_NOTIFICATION_CENTER.md +0 -47
  498. package/RFC/0023_LOCAL_BROWSER_AGENT.md +0 -67
  499. package/RFC/0024_LOCAL_RUNTIME_AGENT.md +0 -3
  500. package/RFC/0025_COMMAND_EXECUTOR.md +0 -3
  501. package/RFC/0026_WORKSPACE_MANAGER.md +0 -3
  502. package/RFC/0027_RUNTIME_API.md +0 -3
  503. package/RFC/0028_POLICY_ENGINE.md +0 -3
  504. package/RFC/0029_DEEPAGENTS_ADAPTER.md +0 -2
  505. package/RFC/0030_AGENT_WORKER_INTERFACE.md +0 -2
  506. package/RFC/0031_PROVIDER_ADAPTER_SDK.md +0 -171
  507. package/RFC/0032_CHECKPOINT_ENGINE.md +0 -217
  508. package/RFC/0033_SESSION_MANAGER.md +0 -262
  509. package/RFC/0034_OBSERVABILITY.md +0 -416
  510. package/RFC/0035_ROADMAP_V1.md +0 -295
  511. package/RFC/0036_CODE_REVIEW_ENGINE.md +0 -430
  512. package/RFC/0037_CODE_GENERATION_PIPELINE.md +0 -504
  513. package/RFC/0038_FRAMEWORK_DETECTOR.md +0 -466
  514. package/RFC/0039_TEST_DATA_GENERATOR.md +0 -504
  515. package/RFC/0040_FRAMEWORK_PLUGIN_SDK.md +0 -543
  516. package/RFC/0041_PROMPT_COMPILER.md +0 -232
  517. package/RFC/0042_CONTEXT_COMPILER.md +0 -216
  518. package/RFC/0043_REQUIREMENT_COMPILER.md +0 -211
  519. package/RFC/0044_TASK_COMPILER.md +0 -207
  520. package/RFC/0045_PROJECT_ANALYZER.md +0 -246
  521. package/RFC/0046_DEPENDENCY_ANALYZER.md +0 -14
  522. package/RFC/0047_REPOSITORY_KNOWLEDGE_GRAPH.md +0 -14
  523. package/RFC/0048_CODE_MERGE_ENGINE.md +0 -14
  524. package/RFC/0049_CONFLICT_RESOLUTION_ENGINE.md +0 -14
  525. package/RFC/0050_DOCUMENTATION_GENERATOR.md +0 -14
  526. package/RFC/0051_CAPABILITY_REGISTRY.md +0 -144
  527. package/RFC/0052_SKILL_REGISTRY.md +0 -167
  528. package/RFC/0053_MODEL_REGISTRY.md +0 -214
  529. package/RFC/0054_PROVIDER_ROUTER.md +0 -239
  530. package/RFC/0055_COST_OPTIMIZER.md +0 -285
  531. package/RFC/0056_PERFORMANCE_OPTIMIZER.md +0 -118
  532. package/RFC/0057_EVALUATION_ENGINE.md +0 -116
  533. package/RFC/0058_LEARNING_ENGINE.md +0 -113
  534. package/RFC/0059_EXPERIENCE_REPLAY.md +0 -107
  535. package/RFC/0060_MEMORY_ENGINE_OKF.md +0 -152
  536. package/RFC/0061_FRAPPE_PLUGIN.md +0 -9
  537. package/RFC/0062_NEXTJS_PLUGIN.md +0 -9
  538. package/RFC/0063_REACT_VITE_PLUGIN.md +0 -9
  539. package/RFC/0064_DJANGO_PLUGIN.md +0 -9
  540. package/RFC/0065_LARAVEL_PLUGIN.md +0 -9
  541. package/RFC/0066_GENERIC_WEB_PLUGIN.md +0 -24
  542. package/RFC/0067_CLI_PLUGIN_SDK.md +0 -101
  543. package/RFC/0068_MCP_ADAPTER.md +0 -114
  544. package/RFC/0069_GOOGLE_A2A_ADAPTER.md +0 -139
  545. package/RFC/0070_OPENAI_CODEX_ADAPTER.md +0 -134
  546. package/RFC/0071_REQUIREMENT_INTAKE.md +0 -95
  547. package/RFC/0072_PROJECT_BOOTSTRAP.md +0 -82
  548. package/RFC/0073_ARCHITECTURE_GENERATOR.md +0 -85
  549. package/RFC/0074_SPRINT_PLANNER.md +0 -61
  550. package/RFC/0075_MILESTONE_MANAGER.md +0 -58
  551. package/RFC/0076_BACKLOG_MANAGER.md +0 -24
  552. package/RFC/0077_HUMAN_APPROVAL_GATE.md +0 -24
  553. package/RFC/0078_RELEASE_MANAGER.md +0 -24
  554. package/RFC/0079_VERSION_MANAGER.md +0 -24
  555. package/RFC/0080_DEPLOYMENT_PIPELINE.md +0 -24
  556. package/RFC/0081_MULTI_USER_RUNTIME.md +0 -24
  557. package/RFC/0082_RBAC.md +0 -24
  558. package/RFC/0083_AUDIT_TRAIL.md +0 -24
  559. package/RFC/0084_DASHBOARD.md +0 -24
  560. package/RFC/0085_ANALYTICS.md +0 -24
  561. package/RFC/0086_DISTRIBUTED_RUNTIME.md +0 -24
  562. package/RFC/0087_CLUSTER_MANAGER.md +0 -24
  563. package/RFC/0088_RUNTIME_FEDERATION.md +0 -24
  564. package/RFC/0089_HIGH_AVAILABILITY.md +0 -24
  565. package/RFC/0090_DISASTER_RECOVERY.md +0 -24
  566. package/RFC/0091_AUTONOMOUS_ARCHITECTURE_REVIEW.md +0 -24
  567. package/RFC/0092_AUTONOMOUS_REFACTORING.md +0 -24
  568. package/RFC/0093_AUTONOMOUS_BUG_FIXING.md +0 -24
  569. package/RFC/0094_AUTONOMOUS_PERFORMANCE_TUNING.md +0 -24
  570. package/RFC/0095_AUTONOMOUS_SECURITY_REVIEW.md +0 -24
  571. package/RFC/0096_AUTONOMOUS_COST_OPTIMIZATION.md +0 -24
  572. package/RFC/0097_AUTONOMOUS_DOCUMENTATION.md +0 -24
  573. package/RFC/0098_AUTONOMOUS_KNOWLEDGE_MANAGEMENT.md +0 -24
  574. package/RFC/0099_RUNTIME_EVOLUTION_ENGINE.md +0 -24
  575. package/RFC/0100_SELF_DEVELOPING_RUNTIME.md +0 -24
  576. package/RFC/0101_AUTONOMOUS_OPERATIONS_RUNTIME.md +0 -1105
  577. package/RFC/0102_CONTEXT_ENGINEERING_PIPELINE.md +0 -508
  578. package/RFC/0103_SESSION_EVENT_RUNTIME_AGENT_COMMUNICATION_LAYER.md +0 -616
  579. package/RFC/0104_DISTRIBUTED_AGENT_COMMUNICATION.md +0 -143
  580. package/RFC/0105_DISTRIBUTED_KNOWLEDGE_RETRIEVAL.md +0 -301
  581. package/RFC/0106_KNOWLEDGE_GRAPH_PROVENANCE.md +0 -368
  582. package/RFC/README.md +0 -11
  583. package/packages/event-bus/dist/tsconfig.tsbuildinfo +0 -1
  584. package/packages/provider-adapter-sdk/dist/tsconfig.tsbuildinfo +0 -1
@@ -1,167 +0,0 @@
1
- # RFC-0052 — Skill Registry
2
-
3
- Status: Draft
4
- Target package: `packages/skill-registry`
5
- Depends on: RFC-0051 Capability Registry
6
-
7
- ## 1. Problem
8
-
9
- Agents need to discover and invoke skills dynamically. Currently skills are loaded statically. The Skill Registry provides a centralized system for discovering, loading, and invoking skills at runtime.
10
-
11
- ## 2. Skill Contract
12
-
13
- ```ts
14
- export interface Skill {
15
- id: string;
16
- name: string;
17
- description: string;
18
- version: string;
19
- trigger: SkillTrigger;
20
- handler: SkillHandler;
21
- metadata: SkillMetadata;
22
- }
23
-
24
- export interface SkillTrigger {
25
- type: "keyword" | "pattern" | "intent" | "tool_request";
26
- value: string | RegExp | string[];
27
- confidence?: number;
28
- }
29
-
30
- export interface SkillHandler {
31
- (context: SkillContext): Promise<SkillResult>;
32
- }
33
-
34
- export interface SkillContext {
35
- messages: CompactableMessage[];
36
- task?: CompiledTask;
37
- requirement?: CompiledRequirement;
38
- tools: AvailableTool[];
39
- metadata: Record<string, unknown>;
40
- }
41
-
42
- export interface SkillResult {
43
- success: boolean;
44
- output?: string;
45
- toolCalls?: ToolCall[];
46
- error?: string;
47
- metadata?: Record<string, unknown>;
48
- }
49
-
50
- export interface SkillMetadata {
51
- author?: string;
52
- tags: string[];
53
- examples?: string[];
54
- requiresCapabilities?: Capability[];
55
- deprecated?: boolean;
56
- }
57
- ```
58
-
59
- ## 3. Registry Interface
60
-
61
- ```ts
62
- export interface SkillRegistry {
63
- register(skill: Skill): void;
64
- unregister(skillId: string): void;
65
- get(skillId: string): Skill | undefined;
66
- list(): Skill[];
67
- find(trigger: SkillTrigger): Skill[];
68
- invoke(skillId: string, context: SkillContext): Promise<SkillResult>;
69
- invokeBestMatch(trigger: SkillTrigger, context: SkillContext): Promise<SkillResult>;
70
- }
71
-
72
- export interface SkillTrigger {
73
- type: "keyword" | "pattern" | "intent" | "tool_request";
74
- value: string | string[];
75
- confidence?: number;
76
- }
77
- ```
78
-
79
- ## 4. Trigger Matching
80
-
81
- ```ts
82
- export function matchTrigger(skill: Skill, input: string): number {
83
- switch (skill.trigger.type) {
84
- case "keyword":
85
- return skill.trigger.value
86
- .split(" ")
87
- .filter(k => input.toLowerCase().includes(k.toLowerCase())).length;
88
-
89
- case "pattern":
90
- const regex = new RegExp(skill.trigger.value);
91
- return regex.test(input) ? 1 : 0;
92
-
93
- case "intent":
94
- const intents = Array.isArray(skill.trigger.value)
95
- ? skill.trigger.value
96
- : [skill.trigger.value];
97
- return intents.some(i => input.toLowerCase().includes(i.toLowerCase())) ? 1 : 0;
98
-
99
- case "tool_request":
100
- return input.toLowerCase().includes("tool") ? 1 : 0;
101
-
102
- default:
103
- return 0;
104
- }
105
- }
106
-
107
- export function findBestMatch(
108
- skills: Skill[],
109
- input: string,
110
- minConfidence = 0.5,
111
- ): Skill | undefined {
112
- const matches = skills
113
- .map(s => ({ skill: s, score: matchTrigger(s, input) }))
114
- .filter(m => m.score >= (s.trigger.confidence ?? 0.5))
115
- .sort((a, b) => b.score - a.score);
116
-
117
- return matches[0]?.skill;
118
- }
119
- ```
120
-
121
- ## 5. Default Skills
122
-
123
- ```ts
124
- export const DEFAULT_SKILLS: Skill[] = [
125
- {
126
- id: "skill-registry-introspect",
127
- name: "Introspect Skill Registry",
128
- description: "Lists all registered skills and their triggers",
129
- version: "1.0.0",
130
- trigger: { type: "keyword", value: "list skills", confidence: 0.8 },
131
- handler: async (ctx) => {
132
- const skills = ctx.metadata.registry.list();
133
- return {
134
- success: true,
135
- output: JSON.stringify(skills, null, 2),
136
- };
137
- },
138
- metadata: { tags: ["meta", "debug"], examples: ["list skills"] },
139
- },
140
- ];
141
- ```
142
-
143
- ## 6. Events
144
-
145
- ```ts
146
- type SkillRegistryEvent =
147
- | { type: "skill.registered"; skillId: string; name: string }
148
- | { type: "skill.unregistered"; skillId: string }
149
- | { type: "skill.invoked"; skillId: string; success: boolean; duration: number }
150
- | { type: "skill.error"; skillId: string; error: string };
151
- ```
152
-
153
- ## 7. Integration Points
154
-
155
- - Agent Worker uses Skill Registry to find relevant skills
156
- - Context Compiler can inject skill results into prompts
157
- - Task Compiler may reference skills for specialized tasks
158
-
159
- ## 8. Acceptance Criteria
160
-
161
- - Skills can be registered and unregistered at runtime
162
- - Trigger matching works for keywords, patterns, and intents
163
- - Best match returns highest-scoring skill
164
- - Skill handler receives full context
165
- - Default skills are loaded on initialization
166
- - Events are emitted for all operations
167
- - Unit tests cover all matching scenarios
@@ -1,214 +0,0 @@
1
- # RFC-0053 — Model Registry
2
-
3
- Status: Draft
4
- Target package: `packages/model-registry`
5
- Depends on: RFC-0051 Capability Registry
6
-
7
- ## 1. Problem
8
-
9
- The runtime needs a centralized registry of available AI models with their properties (pricing, limits, capabilities). Currently model info is scattered. The Model Registry provides a single source of truth for model metadata.
10
-
11
- ## 2. Model Definition
12
-
13
- ```ts
14
- export interface ModelInfo {
15
- id: string;
16
- providerId: string;
17
- name: string;
18
- version?: string;
19
- contextWindow: number;
20
- maxOutputTokens: number;
21
- pricing: Pricing;
22
- capabilities: string[]; // references to Capability IDs
23
- aliases: string[];
24
- status: "active" | "deprecated" | "disabled";
25
- releasedAt?: string;
26
- deprecatedAt?: string;
27
- }
28
-
29
- export interface Pricing {
30
- currency: "USD" | "THB";
31
- inputPer1M: number; // cost per 1M input tokens
32
- outputPer1M: number; // cost per 1M output tokens
33
- batchInputPer1M?: number;
34
- cacheReadPer1M?: number;
35
- cacheWritePer1M?: number;
36
- }
37
- ```
38
-
39
- ## 3. Registry Interface
40
-
41
- ```ts
42
- export interface ModelRegistry {
43
- register(model: ModelInfo): void;
44
- unregister(providerId: string, modelId: string): void;
45
- get(providerId: string, modelId: string): ModelInfo | undefined;
46
- getByAlias(alias: string): ModelInfo | undefined;
47
- list(providerId?: string): ModelInfo[];
48
- listActive(): ModelInfo[];
49
- find(filters: ModelFilters): ModelInfo[];
50
- updateStatus(providerId: string, modelId: string, status: ModelInfo["status"]): void;
51
- }
52
-
53
- export interface ModelFilters {
54
- providerId?: string;
55
- minContextWindow?: number;
56
- maxCostPer1M?: number;
57
- capabilities?: string[];
58
- status?: ModelInfo["status"];
59
- }
60
- ```
61
-
62
- ## 4. Default Models
63
-
64
- ```ts
65
- export const DEFAULT_MODELS: ModelInfo[] = [
66
- {
67
- id: "gpt-4o",
68
- providerId: "openai",
69
- name: "GPT-4o",
70
- contextWindow: 128000,
71
- maxOutputTokens: 16384,
72
- pricing: { currency: "USD", inputPer1M: 5, outputPer1M: 15 },
73
- capabilities: ["code_generation", "code_review", "vision", "function_calling"],
74
- aliases: ["gpt4o", "gpt-4o"],
75
- status: "active",
76
- },
77
- {
78
- id: "claude-sonnet-4",
79
- providerId: "anthropic",
80
- name: "Claude Sonnet 4",
81
- contextWindow: 200000,
82
- maxOutputTokens: 8192,
83
- pricing: { currency: "USD", inputPer1M: 3, outputPer1M: 15 },
84
- capabilities: ["code_generation", "code_review", "planning", "vision"],
85
- aliases: ["sonnet", "claude-sonnet"],
86
- status: "active",
87
- },
88
- {
89
- id: "claude-opus-4",
90
- providerId: "anthropic",
91
- name: "Claude Opus 4",
92
- contextWindow: 200000,
93
- maxOutputTokens: 8192,
94
- pricing: { currency: "USD", inputPer1M: 15, outputPer1M: 75 },
95
- capabilities: ["code_generation", "planning", "analysis"],
96
- aliases: ["opus", "claude-opus"],
97
- status: "active",
98
- },
99
- {
100
- id: "MiniMax-Text-01",
101
- providerId: "minimax",
102
- name: "MiniMax Text 01",
103
- contextWindow: 1000000,
104
- maxOutputTokens: 8192,
105
- pricing: {
106
- currency: "USD",
107
- inputPer1M: 0.1,
108
- outputPer1M: 0.5,
109
- batchInputPer1M: 0.01,
110
- },
111
- capabilities: ["code_generation", "function_calling"],
112
- aliases: ["minimax", "minimax-text"],
113
- status: "active",
114
- },
115
- ];
116
- ```
117
-
118
- ## 5. Query Algorithm
119
-
120
- ```ts
121
- export function findModels(
122
- registry: ModelRegistry,
123
- filters: ModelFilters,
124
- ): ModelInfo[] {
125
- let models = registry.listActive();
126
-
127
- if (filters.providerId) {
128
- models = models.filter(m => m.providerId === filters.providerId);
129
- }
130
-
131
- if (filters.minContextWindow) {
132
- models = models.filter(m => m.contextWindow >= filters.minContextWindow!);
133
- }
134
-
135
- if (filters.maxCostPer1M !== undefined) {
136
- models = models.filter(m =>
137
- (m.pricing.inputPer1M + m.pricing.outputPer1M) <= filters.maxCostPer1M!
138
- );
139
- }
140
-
141
- if (filters.capabilities?.length) {
142
- models = models.filter(m =>
143
- filters.capabilities!.every(c => m.capabilities.includes(c))
144
- );
145
- }
146
-
147
- if (filters.status) {
148
- models = models.filter(m => m.status === filters.status);
149
- }
150
-
151
- return models.sort((a, b) => {
152
- const costA = a.pricing.inputPer1M + a.pricing.outputPer1M;
153
- const costB = b.pricing.inputPer1M + b.pricing.outputPer1M;
154
- return costA - costB;
155
- });
156
- }
157
- ```
158
-
159
- ## 6. Cost Calculation
160
-
161
- ```ts
162
- export function calculateCost(
163
- model: ModelInfo,
164
- inputTokens: number,
165
- outputTokens: number,
166
- options?: {
167
- useBatch?: boolean;
168
- cacheReadTokens?: number;
169
- cacheWriteTokens?: number;
170
- },
171
- ): number {
172
- const base = (inputTokens / 1_000_000) * model.pricing.inputPer1M
173
- + (outputTokens / 1_000_000) * model.pricing.outputPer1M;
174
-
175
- let total = base;
176
-
177
- if (options?.useBatch && model.pricing.batchInputPer1M) {
178
- const batchSavings = (inputTokens / 1_000_000)
179
- * (model.pricing.inputPer1M - model.pricing.batchInputPer1M);
180
- total -= batchSavings;
181
- }
182
-
183
- if (options?.cacheReadTokens && model.pricing.cacheReadPer1M) {
184
- total += (options.cacheReadTokens / 1_000_000) * model.pricing.cacheReadPer1M;
185
- }
186
-
187
- if (options?.cacheWriteTokens && model.pricing.cacheWritePer1M) {
188
- total += (options.cacheWriteTokens / 1_000_000) * model.pricing.cacheWritePer1M;
189
- }
190
-
191
- return Math.round(total * 100) / 100; // round to cents
192
- }
193
- ```
194
-
195
- ## 7. Events
196
-
197
- ```ts
198
- type ModelRegistryEvent =
199
- | { type: "model.registered"; providerId: string; modelId: string }
200
- | { type: "model.unregistered"; providerId: string; modelId: string }
201
- | { type: "model.status_changed"; providerId: string; modelId: string; status: string }
202
- | { type: "model.queried"; filters: ModelFilters; results: number };
203
- ```
204
-
205
- ## 8. Acceptance Criteria
206
-
207
- - Models can be registered and unregistered
208
- - Alias lookup works correctly
209
- - Filters return correctly filtered and sorted results
210
- - Cost calculation handles all pricing components
211
- - Default models are loaded on initialization
212
- - Status changes are tracked
213
- - Events are emitted for all operations
214
- - Unit tests cover all query scenarios
@@ -1,239 +0,0 @@
1
- # RFC-0054 — Provider Router
2
-
3
- Status: Draft
4
- Target package: `packages/provider-router`
5
- Depends on: RFC-0051 Capability Registry, RFC-0053 Model Registry
6
-
7
- ## 1. Problem
8
-
9
- The SimpleProviderRouter exists but lacks:
10
-
11
- - Capability-based filtering
12
- - Cost-aware routing
13
- - Quota-aware selection
14
- - Multi-criteria optimization
15
-
16
- The Enhanced Provider Router provides intelligent routing based on task requirements, model capabilities, cost constraints, and provider availability.
17
-
18
- ## 2. Router Interface
19
-
20
- ```ts
21
- export interface ProviderRouter {
22
- selectProvider(
23
- task: RuntimeTask,
24
- context: RoutingContext,
25
- options?: RoutingOptions,
26
- ): Promise<RoutingDecision>;
27
-
28
- selectProviders(
29
- task: RuntimeTask,
30
- context: RoutingContext,
31
- count: number,
32
- ): Promise<RoutingDecision[]>;
33
-
34
- getRoutingPolicy(): RoutingPolicy;
35
- setRoutingPolicy(policy: RoutingPolicy): void;
36
- }
37
-
38
- export interface RoutingContext {
39
- task: RuntimeTask;
40
- requirement: CompiledRequirement;
41
- providerStates: Record<string, ProviderState>;
42
- quotaStates: Record<string, QuotaState>;
43
- costBudget?: CostBudget;
44
- }
45
-
46
- export interface RoutingOptions {
47
- preferCheapest?: boolean;
48
- preferFastest?: boolean;
49
- preferHighestQuality?: boolean;
50
- maxCostPerTask?: number;
51
- requiredCapabilities?: Capability[];
52
- preferProviders?: string[];
53
- avoidProviders?: string[];
54
- }
55
-
56
- export interface RoutingDecision {
57
- providerId: string;
58
- modelId: string;
59
- reason: string;
60
- estimatedCost?: number;
61
- estimatedLatency?: "fast" | "medium" | "slow";
62
- confidence: number;
63
- }
64
- ```
65
-
66
- ## 3. Routing Policy
67
-
68
- ```ts
69
- export interface RoutingPolicy {
70
- defaultStrategy: RoutingStrategy;
71
- costWeight: number; // 0-100
72
- qualityWeight: number; // 0-100
73
- latencyWeight: number; // 0-100
74
- quotaWeight: number; // 0-100
75
- fallbackProviders: string[];
76
- taskTypeOverrides: Record<string, RoutingStrategy>;
77
- providerPreferences: Record<string, number>;
78
- }
79
-
80
- export type RoutingStrategy =
81
- | "cheapest"
82
- | "fastest"
83
- | "best_quality"
84
- | "balanced"
85
- | "quota_aware";
86
- ```
87
-
88
- ## 4. Selection Algorithm
89
-
90
- ```ts
91
- export async function selectProvider(
92
- router: ProviderRouter,
93
- task: RuntimeTask,
94
- context: RoutingContext,
95
- options?: RoutingOptions,
96
- ): Promise<RoutingDecision> {
97
- const policy = router.getRoutingPolicy();
98
- const strategy = policy.taskTypeOverrides[task.type] ?? policy.defaultStrategy;
99
-
100
- // Get all candidates
101
- let candidates = await getEligibleCandidates(task, context, options);
102
-
103
- // Filter by capabilities
104
- if (options?.requiredCapabilities?.length) {
105
- candidates = candidates.filter(c =>
106
- options.requiredCapabilities!.every(cap =>
107
- c.capabilities.includes(cap)
108
- )
109
- );
110
- }
111
-
112
- // Filter by cost
113
- if (options?.maxCostPerTask) {
114
- candidates = candidates.filter(c =>
115
- (c.estimatedCost ?? Infinity) <= options.maxCostPerTask!
116
- );
117
- }
118
-
119
- // Filter by quota
120
- candidates = candidates.filter(c => {
121
- const quota = context.quotaStates[c.providerId];
122
- return !quota || !quota.exhausted;
123
- });
124
-
125
- if (candidates.length === 0) {
126
- throw new Error(`No eligible providers for task ${task.id}`);
127
- }
128
-
129
- // Apply strategy
130
- return applyStrategy(candidates, strategy, policy, options);
131
- }
132
-
133
- function applyStrategy(
134
- candidates: ProviderCandidate[],
135
- strategy: RoutingStrategy,
136
- policy: RoutingPolicy,
137
- options?: RoutingOptions,
138
- ): RoutingDecision {
139
- switch (strategy) {
140
- case "cheapest":
141
- return candidates
142
- .sort((a, b) => (a.estimatedCost ?? 0) - (b.estimatedCost ?? 0))[0];
143
-
144
- case "fastest":
145
- return candidates
146
- .sort((a, b) => LATENCY_RANK[a.estimatedLatency] - LATENCY_RANK[b.estimatedLatency])[0];
147
-
148
- case "best_quality":
149
- return candidates
150
- .sort((a, b) => (b.qualityScore ?? 0) - (a.qualityScore ?? 0))[0];
151
-
152
- case "balanced":
153
- return candidates
154
- .sort((a, b) => {
155
- const scoreA = calculateWeightedScore(a, policy);
156
- const scoreB = calculateWeightedScore(b, policy);
157
- return scoreB - scoreA;
158
- })[0];
159
-
160
- case "quota_aware":
161
- return candidates
162
- .sort((a, b) => {
163
- const quotaA = a.remainingQuotaPct ?? 1;
164
- const quotaB = b.remainingQuotaPct ?? 1;
165
- const costA = a.estimatedCost ?? Infinity;
166
- const costB = b.estimatedCost ?? Infinity;
167
- return (quotaA / costA) - (quotaB / costB);
168
- })[0];
169
- }
170
- }
171
-
172
- function calculateWeightedScore(
173
- candidate: ProviderCandidate,
174
- policy: RoutingPolicy,
175
- ): number {
176
- const costScore = 100 - Math.min(candidate.estimatedCost ?? 0, 100);
177
- const qualityScore = candidate.qualityScore ?? 50;
178
- const latencyScore = 100 - (LATENCY_RANK[candidate.estimatedLatency] * 33);
179
- const quotaScore = (candidate.remainingQuotaPct ?? 1) * 100;
180
-
181
- return (
182
- (costScore * policy.costWeight +
183
- qualityScore * policy.qualityWeight +
184
- latencyScore * policy.latencyWeight +
185
- quotaScore * policy.quotaWeight) /
186
- (policy.costWeight + policy.qualityWeight + policy.latencyWeight + policy.quotaWeight)
187
- );
188
- }
189
- ```
190
-
191
- ## 5. Default Policy
192
-
193
- ```ts
194
- export const DEFAULT_ROUTING_POLICY: RoutingPolicy = {
195
- defaultStrategy: "balanced",
196
- costWeight: 30,
197
- qualityWeight: 40,
198
- latencyWeight: 20,
199
- quotaWeight: 10,
200
- fallbackProviders: ["anthropic", "openai"],
201
- taskTypeOverrides: {
202
- "planning": "best_quality",
203
- "code_generation": "balanced",
204
- "code_review": "best_quality",
205
- "test_generation": "fastest",
206
- "e2e_testing": "quota_aware",
207
- "analysis": "best_quality",
208
- "refactoring": "balanced",
209
- "debugging": "fastest",
210
- "documentation": "cheapest",
211
- },
212
- providerPreferences: {
213
- "minimax": 20, // prefer cheaper options
214
- "openai": 0,
215
- "anthropic": 10,
216
- },
217
- };
218
- ```
219
-
220
- ## 6. Events
221
-
222
- ```ts
223
- type ProviderRouterEvent =
224
- | { type: "router.provider_selected"; taskId: string; providerId: string; reason: string }
225
- | { type: "router.no_candidates"; taskId: string; reason: string }
226
- | { type: "router.policy_updated"; oldPolicy: RoutingPolicy; newPolicy: RoutingPolicy }
227
- | { type: "router.fallback_triggered"; taskId: string; originalProvider: string; fallbackProvider: string };
228
- ```
229
-
230
- ## 7. Acceptance Criteria
231
-
232
- - Routing respects task type and capabilities
233
- - Strategy selection works for all strategies
234
- - Cost and quota filters are applied correctly
235
- - Weighted scoring produces reasonable results
236
- - Fallback providers are used when needed
237
- - Events are emitted for all routing decisions
238
- - Unit tests cover all strategies and scenarios
239
- - Integration with Capability Registry and Model Registry works